Subject: Fuel Cell Purchase Order
From: [email-masked]
To: [email-masked], [email-masked]
Cc: [email-masked], [email-masked]
Date: Fri, 27 Oct 2000 05:03:00 -0700 (PDT)

Per my voice mail, here is the latest draft of the purchase order (we are 
preparing a redlined version which I will send you shortly).  We have not had 
the opportunity to incorporate all the business terms which were discussed 
and agreed to yesterday.  Also, we have not yet completed a full internal 
review of the document.  However, so that we can hold our conference call 
today, I am sending you the draft.  Please give me a call to arrange the 
conference call.